/////////////////////////////////////////////////////////////////////////////
// CTEdit window

class CTEdit : public CEdit
{
// Construction
public:
	CTEdit(UINT *puFocus,BOOL bUserOperation,LPSTR lpContent,
	       UINT TextID,UINT nCount=1);

// Attributes
private:
   UINT uCase;
   UINT *m_puFocus;
   BOOL m_bKillFocus;
   BOOL m_bRepeate;  //for error input
   char szText[50];
   BOOL m_bUserOperation;
   char szContent[50];
   UINT m_TextID;
   UINT m_nCount; 
public:
   void SetEditText(LPSTR lpText,UINT ID,int nCount,
                    BOOL bDo=1,BOOL bMoveCursor=1,BOOL bFilter=1,
                    int  nDelay=55, int nStep=8);
// Operations
public:

// Implementation
public:
	virtual ~CTEdit();

protected:
	// Generated message map functions
	//{{AFX_MSG(CTEdit)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CTComboBox window

class CTComboBox : public CComboBox
{
// Construction
public:
	CTComboBox(UINT *puFocus,BOOL bUserOperation,LPSTR lpContent,
	           UINT TextID,UINT nCount=1);

// Attributes
private:

   UINT uCase;
   UINT *m_puFocus;
   BOOL m_bKillFocus;
   BOOL m_bRepeate;
   BOOL m_bUserOperation;
   char szContent[50];
   UINT m_TextID;
   UINT m_nCount; 

public:
   void SetCombo(int nID,UINT ID,int nCount,
                 BOOL bDo=1,BOOL bMoveCursor=1,BOOL bFilter=1,
                 int  nDelay=55, int nStep=8);

// Operations
public:

// Implementation
public:
	virtual ~CTComboBox();

protected:
	// Generated message map functions
	//{{AFX_MSG(CTComboBox)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CTListBox window

class CTListBox : public CListBox
{
// Construction
public:
	CTListBox();

// Attributes  
private:
   UINT uCase;

public:
   void SetListBox(UINT stringID,int nCount,BOOL bDo=1);
// Operations
public:

// Implementation
public:
	virtual ~CTListBox();

protected:
	// Generated message map functions
	//{{AFX_MSG(CTListBox)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CTButton window

class CTButton : public CButton
{
// Construction
public:
	CTButton(UINT ID=0,int nCount=0,BOOL bCommand=1);

// Attributes
private:
   UINT uCase;
   BOOL m_bCommand;
public:
   void SetRadioButton(BOOL bDo=1,BOOL bCheck=1,int nDelay=55,int nStep=8);
   void SetRadioMsg(BOOL bUp=1,CWnd *pParent=NULL,int nLen=200,int nHeight=100);
   void SetButtonDown(BOOL bDo=1,BOOL bDown=1,BOOL  bMoveCursor=1,
                      int  nDelay=55, int nStep=8);
// Operations
public:

// Implementation
private:
   UINT ID;
   int  nCount;
public:
	virtual ~CTButton();

protected:
	// Generated message map functions
	//{{AFX_MSG(CTButton)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CTStatic window

class CTStatic : public CStatic
{
// Construction
public:
	CTStatic(UINT uID,BOOL bText=NULL,BOOL bTime=NULL);

// Attributes
public:

// Operations
public:           
   CBitmap *GetBitmap(){return m_pBitmap;};
   BOOL    GetMovieStatus(){return m_bMovieStatus;};
   void    SetMovieStatus(BOOL x){m_bMovieStatus=x;};

// Implementation
private:  
    BOOL    m_bText;
    BOOL    m_bTimeMovie;
    BOOL    m_bMovieStatus;
    UINT    ID;    
    CString *m_pString;
    CBitmap *m_pBitmap;
public:
	virtual ~CTStatic();
    void Paint(CString *pString,CDC *pPaintDC=NULL);
    void Paint(CBitmap *pBitmap,CDC *pPaintDC=NULL);
protected:
	// Generated message map functions
	//{{AFX_MSG(CTStatic)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
